<?php
/*---------------------------------------------------+
| Report Errors, broken links, downloads
| PHP-Fusion (c) 2005 Nick Jones
+----------------------------------------------------+
| Copyright (c) 2006 Adnan Ahmed
| info@theadnanahmed.com
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

//Set Appropriate locale, if none found use English as default
if (file_exists(INFUSIONS."report_errors_panel/locale/".$settings['locale'].".php")) { 
	include INFUSIONS."report_errors_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."report_errors_panel/locale/English.php";
}

opentable($locale['er301']);

if (isset($er_id)) {
$result = dbquery("SELECT * FROM ".$db_prefix."error_report WHERE error_id=$er_id");
while ($data = dbarray($result)) {
echo "<table align='center' cellpadding='0' cellspacing='0'>
	<tr>
	<td class='tbl'>".$locale['er002']."</td>";
	if (isNUM($data['error_name'])) {
	$results = dbarray(dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='".$data['error_name']."'"));
	echo "<td class='tb1'><a href='".BASEDIR."messages.php?msg_send=".$data['error_name']."'>".$results['user_name']."</a></td></tr><tr>";
	} else {
	echo "<td class='tbl'>".$data['error_name']."</td></tr><tr>";
	}
	echo "<td class='tbl'>".$locale['er003']."</td>
	<td class='tbl'>";

if($data['error_type'] =='P') {echo "Picture";}
elseif($data['error_type'] =='A') {echo "Article";}
elseif($data['error_type'] =='L') {echo "Link";}
elseif($data['error_type'] =='D') {echo "Download";}
elseif($data['error_type'] =='N') {echo "News";}

if ($data['error_type'] == 'P') {
		 $data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."photos WHERE photo_id='".$data['error_tid']."'"));
		 define("PHOTODIR", PHOTOS."album_".$data2['album_id']."/");
		 $photo_thumb = PHOTODIR.$data2['photo_thumb1'];
		 $item = "<img src='".$photo_thumb."' alt='".$data2['photo_title']."' title='".$data2['photo_title']."' border='0'>";
	} elseif ($data['error_type'] == 'A') {
		$data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_id='".$data['error_tid']."'"));
		$item = $data2['article_subject'];
	} elseif ($data['error_type'] == 'D') {
		$data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."downloads WHERE download_id='".$data['error_tid']."'"));
		$item = "<a href='".BASEDIR."downloads.php?cat_id=".$data2['download_cat']."&amp;download_id=".$data2['download_id']."' target='_blank'>".$data2['download_title']."</a>";
	} elseif ($data['error_type'] == 'L') {
		$data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."weblinks WHERE weblink_id='".$data['error_tid']."'"));
		$item = "<a href='".BASEDIR."weblinks.php?cat_id=".$data2['weblink_cat']."&weblink_id=".$data2['weblink_id']."' target='_blank'>".$data2['weblink_name']."<a/>";
	} elseif ($data['error_type'] == 'N') {
		$data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."news WHERE news_id='".$data['error_tid']."'"));
		$item = "<a href='".BASEDIR."news.php?readmore=".$data2['news_id']."' target='_blank'>".$data2['news_subject']."<a/>";
	} else {
	$item = $data['error_tid'];
	}
	
echo "</td></tr><tr>
	<td class='tbl'>".$locale['er004']."</td>
	<td class='tbl'>".$item."</td></tr><tr>
	<td class='tbl'>".$locale['er007']."</td>
	<td class='tbl'>".$data['error']."</td></tr><tr>
	<td class='tbl'>".$locale['er307']."</td></tr><tr><td></td>
	<td class='tbl' width='50%'>".$data['error_comment']."</td>
	</tr>
	</table><br /><br /><br /><br /><br /><br /><br /><br />";
	}
	
	$result = dbquery("UPDATE ".$db_prefix."error_report SET error_read='1' WHERE error_id='$er_id'");
}

echo "<table align='center' cellpadding='0' cellspacing='0' border='1'>
<tr>
<td width='20%' align='center' class='tbl2'><b><u>".$locale['er302']."</u></b></td>
<td width='20%' align='center' class='tbl2'><b><u>".$locale['er303']."</u></b></td>
<td width='20%' align='center' class='tbl2'><b><u>".$locale['er304']."</u></b></td>
<td width='20%' align='center' class='tbl2'><b><u>".$locale['er305']."</u></b></td>
<td width='20%' align='center' class='tbl2'><b><u>".$locale['er306']."</u></b></td>
</tr>";

$result = dbquery("SELECT * FROM ".$db_prefix."error_report WHERE error_read='0' ORDER BY error_id");
$i=0;
while ($data=dbarray($result)) {
$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
echo "<tr><td class='$cell_color' align='center'>".$data['error_id']."</td>
<td class='$cell_color' align='center'>";
	if (isNUM($data['error_name'])) {
	$results = dbarray(dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='".$data['error_name']."'"));
	echo "<a href='".BASEDIR."messages.php?msg_send=".$data['error_name']."'>".$results['user_name']."</a>";
	} else {
	echo $data['error_name'];
	}
echo "</td>
<td class='$cell_color' align='center'>";

if($data['error_type'] =='P') {echo "Picture";}
if($data['error_type'] =='A') {echo "Article";}
if($data['error_type'] =='L') {echo "Link";}
if($data['error_type'] =='D') {echo "Download";}

echo "</td>
<td class='$cell_color' align='center'>".$data['error']."</td>
<td class='$cell_color' align='center'><a href='".FUSION_SELF."?er_id=".$data['error_id']."'>".$locale['er309']."</a>".$locale['er311']."</td>
</tr>";
}
$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
//echo "<tr><td class='$cell_color' align='center' colspan='5'>".$locale['er308']."</td>";

$result = dbquery("SELECT * FROM ".$db_prefix."error_report WHERE error_read='1' ORDER BY error_id");
$i=0;
while ($data=dbarray($result)) {
$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
echo "<tr><td class='$cell_color' align='center'>".$data['error_id']."</td>
<td class='$cell_color' align='center'>";
	if (isNUM($data['error_name'])) {
	$results = dbarray(dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='".$data['error_name']."'"));
	echo "<a href='".BASEDIR."messages.php?msg_send=".$data['error_name']."'>".$results['user_name']."</a>";
	} else {
	echo $data['error_name'];
	}
echo "</td>
<td class='$cell_color' align='center'>";

if($data['error_type'] =='P') {echo "Picture";}
if($data['error_type'] =='A') {echo "Article";}
if($data['error_type'] =='L') {echo "Link";}
if($data['error_type'] =='D') {echo "Download";}

echo "</td>
<td class='$cell_color' align='center'>".$data['error']."</td>
<td class='$cell_color' align='center'><a href='".FUSION_SELF."?er_id=".$data['error_id']."'>".$locale['er309']."</a> | <a href='".INFUSIONS."report_errors_panel/delete_report.php?action=delete&er_id=".$data['error_id']."'>".$locale['er310']."</a></td>
</tr>";
}

echo "</table>";

closetable();
include BASEDIR."footer.php";
?>
