<?php
/*---------------------------------------------------+
| Report Errors, broken links, downloads
| PHP-Fusion (c) 2005 Nick Jones
+----------------------------------------------------+
| Copyright (c) 2006 Adnan Ahmed
| info@theadnanahmed.com
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

//Set Appropriate locale, if none found use English as default
if (file_exists(INFUSIONS."report_errors_panel/locale/".$settings['locale'].".php")) { 
	include INFUSIONS."report_errors_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."report_errors_panel/locale/English.php";
}


// Infusion general information
$inf_title = "Error Reporting";
$inf_description = "Allow people to report errors on your site.";
$inf_version = "1.11";
$inf_developer = "AdnanAhmed";
$inf_email = "info@theadnanahmed.com";
$inf_weburl = "http://www.theadnanahmed.com";

$inf_folder = "report_errors_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "view_errors.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 1; // Number of db tables to alter (upgrade).
$inf_deldbrows = 1; // Number of db tables to delete data from.


// Install Infusion, Create Table
$inf_newtable_[1] = "error_report (
   error_id smallint(5) NOT NULL auto_increment,
   error_name varchar(50) NOT NULL,
   error_type varchar(5) NOT NULL,
   error_tid smallint(5) DEFAULT '0' NOT NULL,
   error varchar(50) NOT NULL,
   error_comment text NOT NULL,
   error_read tinyint(1) DEFAULT '0' NOT NULL,
   PRIMARY KEY (error_id)
)";

$inf_insertdbrow_[1] = "admin VALUES ( '', 'IP', 'infusion_panel.gif', 'Errors Reported', ' ../infusions/report_errors_panel/view_errors.php', '4');";




// Uninstall Infusion, Drop Table
$inf_droptable_[1] = "fusion_error_report";
$inf_deldbrow_[1] = "admin WHERE admin_title='Errors Reported' LIMIT 1";

?>
