<?php
/*---------------------------------------------------+
| Report Errors, broken links, downloads
| PHP-Fusion (c) 2005 Nick Jones
+----------------------------------------------------+
| Copyright (c) 2006 Adnan Ahmed
| info@theadnanahmed.com
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

//Set Appropriate locale, if none found use English as default
if (file_exists(INFUSIONS."report_errors_panel/locale/".$settings['locale'].".php")) { 
	include INFUSIONS."report_errors_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."report_errors_panel/locale/English.php";
}

if (isset($er_type) && isset($er_tid)) {
opentable($locale['er001']);
echo $locale['er008']."<br /><br />";
		echo "<form name='report_error' method='post' action='".INFUSIONS."report_errors_panel/add_error.php' enctype='multipart/form-data' onSubmit='return ValidateForm(this)'>
	<table align='center' cellpadding='0' cellspacing='0'>
	<tr>
	<td class='tbl'>".$locale['er002']."<span style='color:#ff0000'>*</span></td>";
	if (iMEMBER) {
    echo "<td class='tbl'><input type='hidden' name='error_name' value='$userdata[user_id]' class='textbox' style='width:25px'>";
		echo $userdata['user_name'];
		echo "</td>";
	} else {
		echo "<td class='tbl'><input type='text' name='error_name'  maxlength='50' class='textbox' style='width:100px;'></td>";
	}
	echo "</tr>
	<tr>
	<td class='tbl'>".$locale['er003']."</td><td class='tbl'>
	<input type='hidden' name='error_type' value='$er_type' class='textbox' style='width:25px'>";
	if ($er_type == 'P') {echo "Picture";}
	elseif ($er_type == 'A') {echo "Article";}
	elseif ($er_type == 'L') {echo "Link";}
	elseif ($er_type == 'D') {echo "Download";}
	elseif ($er_type == 'N') {echo "News Item";}
	else {echo "Other";}
	echo "</td>
	</tr>
	<tr>
	<td class='tbl'>".$locale['er004']."</td>";
	if ($er_type == 'P') {
		 $data = dbarray(dbquery("SELECT * FROM ".$db_prefix."photos WHERE photo_id='".$er_tid."'"));
		 define("PHOTODIR", PHOTOS."album_".$data['album_id']."/");
		 $photo_thumb = PHOTODIR.$data['photo_thumb1'];
		 $item = "<img src='".$photo_thumb."' alt='".$data['photo_title']."' title='".$data['photo_title']."' border='0'>";
	} elseif ($er_type == 'A') {
		$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_id='".$er_tid."'"));
		$item = $data['article_subject'];
	} elseif ($er_type == 'D') {
		$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."downloads WHERE download_id='".$er_tid."'"));
		$item = "<a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&amp;download_id=".$data['download_id']."' target='_blank'>".$data['download_title']."</a>";
	} elseif ($er_type == 'L') {
		$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."weblinks WHERE weblink_id='".$er_tid."'"));
		$item = "<a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat']."&weblink_id=".$data['weblink_id']."' target='_blank'>".$data['weblink_name']."<a/>";
	} elseif ($er_type == 'N') {
		$data2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."news WHERE news_id='".$er_tid."'"));
		$item = "<a href='".BASEDIR."news.php?readmore=".$data2['news_id']."' target='_blank'>".$data2['news_subject']."<a/>";
	} else {
		$item = $er_tid;
	}
	echo "<td class='tbl'>
	<input type='hidden' name='er_tid' value='$er_tid' class='textbox' style='width:25px'>".$item."</td>
	</tr>
	<tr>
	<td class='tbl'>".$locale['er007']."<span style='color:#ff0000'>*</span></td>
	<td>";
	if ($er_type == 'P') {
		echo "<input type='radio' name='error' value='101' checked>".$locale['er101']."
			<br /><input type='radio' name='error' value='102'>".$locale['er102']."
			<br /><input type='radio' name='error' value='103'>".$locale['er103']."
			<br /><input type='radio' name='error' value='104'>".$locale['er104']."
			<br /><input type='radio' name='error' value='105'>".$locale['er105']."
			<br /><input type='radio' name='error' value='110'>".$locale['er110'].$locale['er100']."";
	} elseif ($er_type == 'D') {
		echo "<input type='radio' name='error' value='111' checked>".$locale['er111']."
			<br /><input type='radio' name='error' value='112'>".$locale['er112']."
			<br /><input type='radio' name='error' value='113'>".$locale['er113']."
		  <br /><input type='radio' name='error' value='114'>".$locale['er114']."
			<br /><input type='radio' name='error' value='115'>".$locale['er115']."
			<br /><input type='radio' name='error' value='116'>".$locale['er116']."
			<br /><input type='radio' name='error' value='117'>".$locale['er117']."
			<br /><input type='radio' name='error' value='118'>".$locale['er118']."
			<br /><input type='radio' name='error' value='120'>".$locale['er110'].$locale['er100']."";
	} elseif ($er_type == 'L') {
		echo "<input type='radio' name='error' value='121' checked>".$locale['er121']."
			<br /><input type='radio' name='error' value='122'>".$locale['er122']."
			<br /><input type='radio' name='error' value='123'>".$locale['er123']."
			<br /><input type='radio' name='error' value='124'>".$locale['er124']."
			<br /><input type='radio' name='error' value='125'>".$locale['er125']."
			<br /><input type='radio' name='error' value='130'>".$locale['er110'].$locale['er100']."";
	} elseif ($er_type == 'A') {
		echo "<input type='radio' name='error' value='131' checked>".$locale['er131']."
			<br /><input type='radio' name='error' value='132'>".$locale['er132']."
			<br /><input type='radio' name='error' value='133'>".$locale['er133'].$locale['er100']."
			<br /><input type='radio' name='error' value='134'>".$locale['er134'].$locale['er100']."
			<br /><input type='radio' name='error' value='135'>".$locale['er135']."
			<br /><input type='radio' name='error' value='140'>".$locale['er110'].$locale['er100']."";
	} elseif ($er_type == 'N') {
		echo "<input type='radio' name='error' value='131' checked>".$locale['er141']."
			<br /><input type='radio' name='error' value='132'>".$locale['er142']."
			<br /><input type='radio' name='error' value='133'>".$locale['er143'].$locale['er100']."
			<br /><input type='radio' name='error' value='150'>".$locale['er110'].$locale['er100']."";
	} else {
    echo "<input type='radio' name='error' value='199' checked>".$locale['er110'].$locale['er100']."";
  }
	echo"</td>
	</tr>
	<tr>
	<td class='tbl'>".$locale['er005']."</td>
	<td class='tbl'><textarea name='error_comment'  row='5' class='textbox' style='width:300px;'></textarea></td>
	</tr>
	</table>
	<br /><br /><center>
	<input type='submit' name='add_error' value='".$locale['er006']."' class='button'></center>\n
	</form>\n";

	echo "<script language='JavaScript'>
function ValidateForm(frm) {
	if (frm.error_name.value==\"\") {
		alert(\"".$locale['er202']."\");
		return false;
	}
}
</script>\n";
closetable();
}

include BASEDIR."side_right.php";
include BASEDIR."footer.php";
?>
